Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 Suivi du Wiki et des Projets Git » Proposition d'un paquet pour créer un fichier de démarrage automatique » Aujourd'hui 19:08:25

cyrille
Réponses : 0
Proposition de paquet pour créer des fichiers de démarrage automatique suite à la connexion au serveur X.

C'est là

https://debian-facile.org/atelier:chant … utostart-x

SI jamais , vous trouvez ça pas top, vous pouvez supprimer ces entrées wink

++
C

#2 Re : Autres » Problémes sur forum PhpBB3.(Résolu.) » 28-11-2020 15:42:58

Oui je gère un forum phpBB entre autre. Honnetement, ce n'est pas ce que je préfère (essaye de faire fonctionner un digest dessus...).
FluxBBB est pas mal, plus simple à comprendre la structure (le hic c'est de refaire le custom après les mises  à jour) et à intervenir dessus (simple de faire ses propres modules).
Sinon j'aime bien flarum. Un peu déroutant le temps de la prise en mail mais une fois passé ce cap, il est nickel.
phpBB est une vraie unsine à gaz wink (ce n'est que mon avis)

#3 Re : Autres » Problémes sur forum PhpBB3.(Résolu.) » 28-11-2020 12:20:14

TU as bien réglé tes permisssions dans
Configuration des permissions
?

#4 Re : Gestion des paquets Debian » Zomm et son .deb : j'ai besoin de vérifier sa fiabilité. » 28-11-2020 12:09:27

De toute façon, pourquoi installer un .deb avec apt ?
Moi, j'y vais avec dpkg -i et apt-install -f.


apt install leProgramm installe le programme ET les dépendances.
Pas obligé de faire un  apt-get install -f après, il gère tout dans la foulée

Oui zoom n'est pas libre.... Regarde du coté de gisti et/ou framatalk https://framatalk.org/accueil/fr/

#5 Re : Jeux » CAP - La bataille navale Pirate ! » 14-11-2020 11:49:31

Autant pour moi, je suis un vrai âne...
Ou réveil difficile le samedi matin ...
nickel résolu, désolé pour la pollution

#6 Re : Jeux » CAP - La bataille navale Pirate ! » 14-11-2020 11:28:19

Salut et merci wink

root@valhalla:~# apt policy python-numpy
python-numpy:
  Installé : (aucun)
  Candidat : (aucun)
 Table de version :




root@valhalla:~# apt depends python-pygame
python-pygame
  Dépend: fonts-freefont-ttf
  Dépend: <python-numpy> (>= 1:1.16.0~rc1)
  Dépend: <python-numpy-abi9>
  Dépend: python2 (<< 2.8)
  Dépend: python2 (>= 2.7~)
  Dépend: <python2:any> (<< 2.8)
    python2
  Dépend: <python2:any> (>= 2.7~)
    python2
  Dépend: libc6 (>= 2.14)
  Dépend: libfreetype6 (>= 2.2.1)
  Dépend: libjpeg62-turbo (>= 1.3.1)
  Dépend: libpng16-16 (>= 1.6.2-1)
  Dépend: libportmidi0
  Dépend: libsdl-image1.2 (>= 1.2.10)
  Dépend: libsdl-mixer1.2
  Dépend: libsdl-ttf2.0-0
  Dépend: libsdl1.2debian (>= 1.2.11)
  Dépend: libx11-6
  Suggère: python-pygame-doc
  Suggère: timidity

#7 Re : Jeux » CAP - La bataille navale Pirate ! » 14-11-2020 10:40:26

Cette version est traduite en français et anglais. Elle utilise la lib SDL via pygame (python3-sdl) pour le rendu, l'audio et la gestion des inputs. Les modules locale et gettext permettent la traduction des différents menus et textes. La configuration est chargée avec le module configparser et le dossier de configuration est trouvé via pyxdg (python3-xdg)

Je pense que ces deux paquets python3 sont les seules dépendances à installer pour pouvoir jouer.



Sous SID, j'ai installé ces 2 librairies sans soucis
par contre, il râle au lancement


./bn.py
Traceback (most recent call last):
  File "/home/ragnarok/Téléchargements/capbattleship-v1.0alpha1/pygamesprites.py", line 3, in <module>
    raise ImportError
ImportError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "./bn.py", line 3, in <module>
    from pygameui import PyGameUI
  File "/home/ragnarok/Téléchargements/capbattleship-v1.0alpha1/pygameui.py", line 9, in <module>
    from pygamesprites import *
  File "/home/ragnarok/Téléchargements/capbattleship-v1.0alpha1/pygamesprites.py", line 6, in <module>
    import pygame
ModuleNotFoundError: No module named 'pygame'
 



Et si je veux installer pygame

python-pygame
Les NOUVEAUX paquets suivants vont être installés :    
  libportmidi0{a} libpython2-stdlib{a} libsdl-ttf2.0-0{a} python-pygame{b} python2{a} python2-minimal{a}
0 paquets mis à jour, 6 nouvellement installés, 0 à enlever et 1 non mis à jour.
Il est nécessaire de télécharger 681 ko d'archives. Après dépaquetage, 2470 ko seront utilisés.
Les paquets suivants ont des dépendances non satisfaites :
 python-pygame : Dépend: python-numpy (>= 1:1.16.0~rc1) which is a virtual package and is not provided by any available package

                 Dépend: python-numpy-abi9 which is a virtual package and is not provided by any available package

Les actions suivantes permettront de résoudre ces dépendances :

     Conserver les paquets suivants dans leur version actuelle :
1)     python-pygame [Non installé]                            



Accepter cette solution ? [Y/n/q/?] q
Abandon de tous les efforts pour rechercher une solution à ces dépendances.
Abandon.
root@valhalla:~# aptitude install python3-xdg
python3-xdg est déjà installé avec la version demandée (0.26-3)
python3-xdg est déjà installé avec la version demandée (0.26-3)
Aucun paquet ne va être installé, mis à jour ou enlevé.
0 paquets mis à jour, 0 nouvellement installés, 0 à enlever et 1 non mis à jour.
Il est nécessaire de télécharger 0 o d'archives. Après dépaquetage, 0 o seront utilisés.
                                                       
root@valhalla:~# aptitude install  python-pygame
Les NOUVEAUX paquets suivants vont être installés :    
  libportmidi0{a} libpython2-stdlib{a} libsdl-ttf2.0-0{a} python-pygame{b} python2{a} python2-minimal{a}
0 paquets mis à jour, 6 nouvellement installés, 0 à enlever et 1 non mis à jour.
Il est nécessaire de télécharger 681 ko d'archives. Après dépaquetage, 2470 ko seront utilisés.
Les paquets suivants ont des dépendances non satisfaites :
 python-pygame : Dépend: python-numpy (>= 1:1.16.0~rc1) which is a virtual package and is not provided by any available package

                 Dépend: python-numpy-abi9 which is a virtual package and is not provided by any available package

Les actions suivantes permettront de résoudre ces dépendances :

     Conserver les paquets suivants dans leur version actuelle :
1)     python-pygame [Non installé]                            



Accepter cette solution ? [Y/n/q/?]
 



et pourtant

root@valhalla:~# apt-cache policy python3-numpy
python3-numpy:
  Installé : 1:1.19.4-1
  Candidat : 1:1.19.4-1
 Table de version :
 *** 1:1.19.4-1 500
        500 http://deb.debian.org/debian sid/main amd64 Packages
        100 /var/lib/dpkg/status
root@valhalla:~#

#8 Re : Matériel » Installer une imprimante sous Debian SID ? » 12-11-2020 19:18:54

Tu as installé les paquets depuis le site de Brother ?
J'ai une brother sous SID. J'ai installé les drivers depuis le site officiel. Pas de soucis.

https://support.brother.com/g/b/downloa … ng=English

par contre l'uri je l'ai mise en dnssd, mais je ne pense pas que ce soit significatif

#9 Re : Installation de Debian » Installer Debian SID ? » 12-11-2020 16:47:24

Si tu ne fais pas de pinning, le repo testing n'est pas nécessaire

deb http://deb.debian.org/debian sid main contrib non-free


t'active en fait 3 dépôts
- main --> dépot principal
- contrib -> contribution DEBIAN
- non-free -> paquets non libres (souvent des firmware)


le deb-src n'est nécessaire que si tu veux regarder les sources des logiciels (souvent pour les recompiler et adapter à ta sauce)

#10 Re : Installation de Debian » Installer Debian SID ? » 12-11-2020 15:43:40

A moins que "sid main contrib non-free" sous entend également "sid main" ?


tout a fait

deb http://deb.debian.org/debian sid main contrib non-free


suffit

#11 Re : Installation de Debian » Installer Debian SID ? » 08-11-2020 16:11:00

Et aussi de temps en temps, utiliser autoremove d'apt pour supprimer ce qui n'est plus utile

#12 Re : Installation de Debian » Installer Debian SID ? » 08-11-2020 16:08:11

Oui bien il faut lire le rapport de bugs et agir en conséquence wink

#13 Re : Installation de Debian » Installer Debian SID ? » 08-11-2020 15:59:03

Perso sous SID depuis très longtemps pour usage desktop avec un simple source list

cat /etc/apt/sources.list
deb http://deb.debian.org/debian/ sid main non-free contrib



Le principal sous SID c'est d'utiliser apt-listbugs, éventuellement  apt-listchanges
Faire des update au moins hebdomadaires et de temps en temps un full-upgrade

Jamais eu de réels soucis avec listbugs, suffit de geler les paquets marqués comme buggés et attendre leur patch de correction pour les installer

#14 Re : Réseau » [Résolu] pas d'accès réseau en mode recue » 01-11-2020 16:05:04

Il n'y a pas d'accès reseau en mode rescue, il faut demarrer le réseau manuellement

 service network-manager start

#15 Re : Xfce » suite maj Sid kde casse et donc xfce mais ... » 31-10-2020 18:19:37

Bjr,
As tu essayé

setxkbmap fr




Si ok, alors le rendre permanent

dpkg-reconfigure keyboard-configuration

#16 Re : GNOME 3 » Gnome 3 ou XFCE ? » 09-10-2020 20:10:33

Regarde du coté de BackMarket et compare dis-moi également ce que tu en penses


Je  connais ce site mais l'avantage de l'autre c'est le coté solidaire. Ensuite, oui barckmarket est moins cher. Mais chez ordi solidaire, ils ne sont vraiment pas drôles si ennui sur la machine , esnuite backmarket t'a fait également un geste

#17 Re : GNOME 3 » Gnome 3 ou XFCE ? » 09-10-2020 19:18:53

En reconditionné ce site est vraiment pas mal https://www.ordi-solidaire.fr/ . Mon parc de laptop vient de là et mes laptops perso aussi
jamais eu de soucis
Perso +1 pour xfce; pour sa légèreté et stabilité. Ensuite mon bureau est très minimaliste, ce ne sont pas les gadgets que je recherche, loin de là.
Le mieux est d'installer les deux et de te faire ta propre idée. Ce qui convient à l'un ne convient pas forcement à l'autre wink

#18 Re : Scripts, programmes et robots » premier script sh et problème » 08-10-2020 17:36:58

j'utilise pas sudo mais à mon avis pour le mot de passe , si tu ne veux pas le saisir

sudo visudo




et ajouter une ligne style

YOUR-USER-NAME ALL=(root) NOPASSWD: /home/YOUR-USER-NAME/PATH/TO/YOUR/SCRIPT/YOUR-SCRIPT.sh



YOUR-USER-NAME -> ton user
PATH -> chemin
YOUR-SCRIPT  -> à adpater

Niveau sécurité, je ne mettrai pas ça sur un serveur.... sur un poste perso non sensible, le risque ne doit pas être trop élevé

Je vais essayer de rendre le script executable


pas trop dur

chmod +x your-script.sh




Tu peux meme créer une entrée dans le menu de ta distrib; très simple , jette un oeil au contenu d'un fichier de

ls /usr/share/applications/




Et tu en crées un et tu l'adaptes  à ton script

#19 Re : Scripts, programmes et robots » premier script sh et problème » 08-10-2020 11:56:00

~ ---> pose soucis
Mets le chemin absolu
~ c'est pour revenir au répertoire courant

Exemple

cd ~




Tu vas où ton script se situe et

pwd



te renseignera

on ne met pas ~  dans un chemin d'accès

Et

sudo sh /home/steff/monScript.sh



Et si ton script est bien executable et le shebang ok, même pas besoin de sh wink

#21 Re : Autres » Nom de domaine et VPS – Conseil » 06-10-2020 09:57:58

VPS chez OVH, ancienne gamme SSD2 + noms de domaine
Nom de domaine chez gandi

Managé via yunohost, nickel.
https://yunohost.org/


Je préfère le panel de gestion des dns de gandi, mais bon...

Ensuite il y a moins cher, comme contabo mais bon les retours sont soit très bons ou très mauvais. Enfin c'est un peu général ça....

Satisfait dans l'ensemble même si j'aimerais un peu plus d'espace disque pour le même prix...

#22 Re : Gestion des paquets Debian » Et vous sur SID vous faites comment ? » 06-10-2020 07:46:05

apt-listbugs


Est le paquet indispensable

Mise  à jour régulières (souvent le lundi, par expérience, jour où il y le moins de paquets buggés...)

Gel systématique des paquets buggés et tout roule wink

A mon avis si tu attends un mois, il y aura beaucoup de mises à jour et la réso des dépendances risque d'être complexe

#23 Re : Réseau » Problème d'accès à distance à une application Web déployé sur Débian » 02-10-2020 05:53:50

Hello
Faudrait voir les
- ip des machines
- conf du répertoire virtuel
- ce que tu sais pour y accéder (url exact)
- voir le fichier /etc/hosts du serveur
wink

#24 Re : Matériel » Installer Hplip 3.20 sur buster 10.5 » 14-09-2020 18:16:34

Comme je l'ai dit, aucune version de hplip du site hp ne veut s'installer.


oui mais quel est le message d'erreur exact retourné

#25 Re : Matériel » Installer Hplip 3.20 sur buster 10.5 » 14-09-2020 17:49:24

Qu'as tu essayé pour l'installer ? Et quels sont les retours ?
As tu essayé de faire du pinning vers testing qui propose cette version ? https://packages.debian.org/bullseye/hplip

Pied de page des forums

Propulsé par FluxBB